libperl-apireference-perl_0.19-1_all.deb


Advertisement

Description

libperl-apireference-perl - Perl module to programmatically query the perlapi

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libperl-apireference-perl
Package version 0.19
Package release 1
Package architecture all
Package type deb
Installed size 4.11 KB
Download size 104.30 KB
Official Mirror ftp.br.debian.org
Perl::APIReference is a Perl module that allows Perl programs to access the
perlapi documentation for multiple releases of perl as an index (a hash). It
supports a multitude of perl versions, from 5.6 through 5.20.1.

Alternatives

Package Version Architecture Repository
libperl-apireference-perl_0.19-1_all.deb 0.19 all Debian Main
libperl-apireference-perl - - -

Requires

Name Value
libclass-xsaccessor-perl -
libpod-eventual-perl -
perl -

Download

Type URL
Binary Package libperl-apireference-perl_0.19-1_all.deb
Source Package libperl-apireference-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libperl-apireference-perl deb package:
    # sudo apt-get install libperl-apireference-perl

Files

Path
/usr/share/doc/libperl-apireference-perl/changelog.Debian.gz
/usr/share/doc/libperl-apireference-perl/changelog.gz
/usr/share/doc/libperl-apireference-perl/copyright
/usr/share/man/man3/Perl::APIReference.3pm.gz
/usr/share/man/man3/Perl::APIReference::Generator.3pm.gz
/usr/share/perl5/Perl/APIReference.pm
/usr/share/perl5/Perl/APIReference/Generator.pm
/usr/share/perl5/Perl/APIReference/V5_006_000.pm
/usr/share/perl5/Perl/APIReference/V5_006_001.pm
/usr/share/perl5/Perl/APIReference/V5_006_002.pm
/usr/share/perl5/Perl/APIReference/V5_008_000.pm
/usr/share/perl5/Perl/APIReference/V5_008_001.pm
/usr/share/perl5/Perl/APIReference/V5_008_002.pm
/usr/share/perl5/Perl/APIReference/V5_008_003.pm
/usr/share/perl5/Perl/APIReference/V5_008_004.pm
/usr/share/perl5/Perl/APIReference/V5_008_005.pm
/usr/share/perl5/Perl/APIReference/V5_008_006.pm
/usr/share/perl5/Perl/APIReference/V5_008_007.pm
/usr/share/perl5/Perl/APIReference/V5_008_008.pm
/usr/share/perl5/Perl/APIReference/V5_008_009.pm
/usr/share/perl5/Perl/APIReference/V5_010_000.pm
/usr/share/perl5/Perl/APIReference/V5_010_001.pm
/usr/share/perl5/Perl/APIReference/V5_012_000.pm
/usr/share/perl5/Perl/APIReference/V5_012_001.pm
/usr/share/perl5/Perl/APIReference/V5_012_002.pm
/usr/share/perl5/Perl/APIReference/V5_012_003.pm
/usr/share/perl5/Perl/APIReference/V5_012_004.pm
/usr/share/perl5/Perl/APIReference/V5_012_005.pm
/usr/share/perl5/Perl/APIReference/V5_014_000.pm
/usr/share/perl5/Perl/APIReference/V5_014_001.pm
/usr/share/perl5/Perl/APIReference/V5_014_002.pm
/usr/share/perl5/Perl/APIReference/V5_014_003.pm
/usr/share/perl5/Perl/APIReference/V5_014_004.pm
/usr/share/perl5/Perl/APIReference/V5_014_005.pm
/usr/share/perl5/Perl/APIReference/V5_016_000.pm
/usr/share/perl5/Perl/APIReference/V5_016_001.pm
/usr/share/perl5/Perl/APIReference/V5_016_002.pm
/usr/share/perl5/Perl/APIReference/V5_016_003.pm
/usr/share/perl5/Perl/APIReference/V5_018_000.pm
/usr/share/perl5/Perl/APIReference/V5_018_001.pm
/usr/share/perl5/Perl/APIReference/V5_018_002.pm
/usr/share/perl5/Perl/APIReference/V5_020_000.pm
/usr/share/perl5/Perl/APIReference/V5_020_001.pm
/usr/share/perl5/Perl/APIReference/V5_020_002.pm

Changelog

2015-02-27 - Dominic Hargreaves <dom@earth.li>
libperl-apireference-perl (0.19-1) unstable; urgency=medium
* New upstream release
2014-09-19 - gregor herrmann <gregoa@debian.org>
libperl-apireference-perl (0.18-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* New upstream release.
Fixes "Support 5.20.1"
(Closes: #761917)
* Declare compliance with Debian Policy 3.9.6.
* Mention latest supported version in long description.
2014-06-19 - gregor herrmann <gregoa@debian.org>
libperl-apireference-perl (0.17-1) unstable; urgency=medium
* Drop xz compression for {binary,source} package, set by default by
dpkg since 1.17.{0,6}.
* Strip trailing slash from metacpan URLs.
* New upstream release.
Adds support for Perl 5.20.0.
* Update years of packaging copyright.
* Remove unversioned 'perl' from Depends.
2014-01-12 - Damyan Ivanov <dmn@debian.org>
libperl-apireference-perl (0.16-1) unstable; urgency=medium
* Imported Upstream version 0.16
+ adds support for perl 5.18.2 (Closes: #735053)
* bump years of upstream copyright
* Declare conformance with Policy 3.9.5
2013-08-27 - gregor herrmann <gregoa@debian.org>
libperl-apireference-perl (0.15-1) unstable; urgency=low
* New upstream release.
Fixes "FTBFS with perl 5.18: test failures":
add support for Perl 5.18.1.
(Closes: #720990)
2013-06-10 - gregor herrmann <gregoa@debian.org>
libperl-apireference-perl (0.14-1) unstable; urgency=low
* New upstream release.
Fixes "FTBFS with perl 5.18: doesn't support 5.18":
the API reference for 5.18.0 is included now.
(Closes: #710978)
* Update long description.
2013-06-04 - gregor herrmann <gregoa@debian.org>
libperl-apireference-perl (0.13-1) unstable; urgency=low
[ gregor herrmann ]
* Add a Pre-Depends on dpkg (>= 1.15.6~) for the xz compression.
* debian/control: update {versioned,alternative} (build) dependencies.
[ Dominic Hargreaves ]
* New upstream release.
+ Includes API reference for perl 5.14.3.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* New upstream release.
+ Includes API references for perl up to 5.16.3.
* Update debian/{rules,regenerate.pl}: upstream data files are xz-
compressed now.
* debian/copyright: switch formatting to Copyright-Format 1.0.
* Update upstream and packaging copyright years.
* Set Standards-Version to 3.9.4 (no further changes).
2011-11-01 - Ansgar Burchardt <ansgar@debian.org>
libperl-apireference-perl (0.09-1) unstable; urgency=low
* Team upload.
[ Ansgar Burchardt ]
* New upstream release.
+ Includes API reference for perl 5.14.2. (Closes: #647122)
* debian/control: Convert Vcs-* fields to Git.
* Use XZ compression for source and binary packages.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
2011-07-21 - Salvatore Bonaccorso <carnil@debian.org>
libperl-apireference-perl (0.07-1) unstable; urgency=low
* Team upload.
* New upstream release
+ Support for perlapi of 5.14.1, 5.15.1, 5.12.4.
+ Dropped support for 5.13.10
* debian/patches: drop perl-5.12.4.patch.
2011-07-15 - gregor herrmann <gregoa@debian.org>
libperl-apireference-perl (0.06-2) unstable; urgency=low
* Add a patch to support perl 5.12.4 (closes: #633830).
* Add /me to Uploaders.

See Also

Package Description
libperl-critic-perl_1.122-1_all.deb Perl module to critique code for best practices
libperl-destruct-level-perl_0.02-2+b1_i386.deb Perl module to change Perl's destruction level
libperl-dev_5.20.2-3+deb8u11_i386.deb Perl library: development files
libperl-metrics-simple-perl_0.17-1_all.deb module to provide metrics of Perl code
libperl-minimumversion-perl_1.38-1_all.deb module to determine minimum required version of perl required
libperl-prereqscanner-perl_1.020-1_all.deb module for extracting prerequisites from Perl code
libperl-version-perl_1.013-1_all.deb module to parse and manipulate Perl version strings
libperl4-corelibs-perl_0.003-1_all.deb libraries historically supplied with Perl 4
libperl4caml-ocaml-dev_0.9.5-4+b7_i386.deb Use Perl code in OCaml programs, development files
libperl4caml-ocaml-doc_0.9.5-4_all.deb Use Perl code in OCaml programs, documentation
libperl4caml-ocaml_0.9.5-4+b7_i386.deb Use Perl code in OCaml programs, runtime library
libperl5.20_5.20.2-3+deb8u11_i386.deb shared Perl library
libperl5i-perl_2.13.0-1_i386.deb pragma to fix as much of Perl 5 as possible
libperl6-caller-perl_0.100-2_all.deb Perl6-like OO caller() interface for Perl 5
libperl6-export-attrs-perl_0.0.3-1_all.deb Perl 6 'is export(...)' trait as a Perl 5 attribute
Advertisement
Advertisement